package routes

import (
	"github.com/gofiber/fiber/v2"
	"ulmer-furs.de/pretix-proxy/v2/app/controller"
	"ulmer-furs.de/pretix-proxy/v2/config"
)

func PrivateRoutes(app *fiber.App) {
	apiv1 := app.Group("/api/v1")
	event := apiv1.Group("/event")
	event.Use(config.AuthMiddleware)
	//app.Get("/events", controller.ReturnEventsTableView)
	event.Get("", controller.ReturnAllEvents)
	event.Get("/:id", controller.ReturnEventById)
	event.Delete("/:id", controller.DeleteEventById)
	event.Put("/:id", controller.UpdateEventById)
	event.Put("", controller.CreateEvent)
	user := apiv1.Group("/user")
	user.Use(config.AuthMiddleware)
	user.Put("", controller.CreateUser)
}
